package pay.platform.core.common.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 基础实体类
 */
@Data
@EqualsAndHashCode
@ToString
public class BasisBaseEntity implements Serializable {

    /**
     * ID
     */
    @Id(keyType = KeyType.Generator, value = "SUID")
    @Schema(description = "id")
    protected String id;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time", onInsertValue = "now()")
    protected LocalDateTime createTime;

    /**
     * 更新时间
     */
    @Schema(description = "更新时间")
    @Column(value = "update_time", onUpdateValue = "now()", onInsertValue = "now()")
    protected LocalDateTime updateTime;
}
