package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 支付订单日流水 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "支付订单日流水")
@Table(value = "t_pay_daily_total")
public class PayDailyTotal {

    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;


    /**
     * 代理用户ID
     */
    @Schema(description = "代理用户ID")
    @Column(value = "agent_id")
    private String agentId;
    @Schema(description = "通道id")
    @Column(value = "channel_id")
    private String channelId;

    /**
     * 商户用户ID
     */
    @Schema(description = "商户用户ID")
    @Column(value = "merchant_id")
    private String merchantId;

    /**
     * 金额
     */
    @Schema(description = "金额")
    @Column(value = "amount")
    private BigDecimal amount;
    /**
     * 支付成功
     */
    @Schema(description = "支付成功金额")
    @Column(value = "pay_success_amount")
    private BigDecimal paySuccessAmount;
    /**
     * 支付总笔数
     */
    @Schema(description = "支付总笔数")
    @Column(value = "pay_num")
    private BigDecimal payNum;
    /**
     * 支付总笔数
     */
    @Schema(description = "支付总笔数")
    @Column(value = "pay_success_num")
    private BigDecimal paySuccessNum;

    /**
     * 手续费
     */
    @Schema(description = "手续费")
    @Column(value = "fee")
    private BigDecimal fee;

    /**
     * 费率
     */
    @Schema(description = "费率")
    @Column(value = "rate")

    private BigDecimal rate;
    @Column(value = "total_time")
    private String totalTime;

    /**
     * 创建人
     */
    @Schema(description = "创建人")
    @Column(value = "create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time", onInsertValue = "now()")
    private LocalDate createTime;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    @Column(value = "update_time")
    private LocalDate updateTime;
}
