package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 通道管理 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "通道管理")
@Table(value = "t_pay_order")
public class PayOrder {

    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;

    /**
     * 订单号
     */
    @Schema(description = "订单号")
    @Column(value = "order_no")

    private String orderNo;
    @Column(value = "third_order_no")
    private String thirdOrderNo;
    @Column(value = "callback_info")
    private String callbackInfo;

    @Column(value = "notify_count")
    private Integer notifyCount;
    @Column(value = "notify_status")
    private Integer notifyStatus;

    /**
     * 支付通道id
     */
    @Column(value = "channel_id")
    private String channelId;
    @Column(value = "channel_name")
    private String channelName;
    @Column(value = "merchant_name")
    private String merchantName;
    @Column(value = "agent_name")
    private String agentName;

    /**
     * 平台订单号
     */
    @Schema(description = "平台订单号")
    @Column(value = "platform_order_no")
    private String platformOrderNo;

    /**
     * 代理用户ID
     */
    @Schema(description = "代理用户ID")
    @Column(value = "agent_id")
    private String agentId;

    /**
     * 商户用户ID
     */
    @Schema(description = "商户用户ID")
    @Column(value = "merchant_id")
    private String merchantId;

    /**
     * 金额
     */
    @Schema(description = "金额")
    @Column(value = "amount")
    private BigDecimal amount;
    private Integer year;
    private Integer month;
    private Integer day;
    private Integer week;

    /**
     * 手续费
     */
    @Schema(description = "手续费")
    @Column(value = "fee")
    private BigDecimal fee;
    /**
     * 平台费率
     */
    @Schema(description = "平台费率")
    @Column(value = "platform_rate")
    private BigDecimal platformRate;
    /**
     * 平台费率金额
     */
    @Schema(description = "平台费率金额")
    @Column(value = "platform_rate_amount")
    private BigDecimal platformRateAmount;
    /**
     * 代理费率
     */
    @Schema(description = "代理费率")
    @Column(value = "agent_rate")
    private BigDecimal agentRate;
    /**
     * 代理费率金额
     */
    @Schema(description = "代理费率金额")
    @Column(value = "agent_rate_amount")
    private BigDecimal agentRateAmount;

    /**
     * 费率
     */
    @Schema(description = "费率")
    @Column(value = "rate")
    private BigDecimal rate;

    /**
     * -1：支付失败 0：待支付 1：支付成功 2：退款
     */
    @Schema(description = "-1：支付失败 0：待支付 1：支付成功 2：退款")
    @Column(value = "status")
    private Integer status;

    /**
     * 创建人
     */
    @Schema(description = "创建人")
    @Column(value = "create_user")
    private String createUser;
    @Column(value = "notify_url")
    private String notifyUrl;
    @Schema(description = "备注")
    private String remark;
    @Schema(description = "商品主题")
    private String subject;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time", onInsertValue = "now()")
    private LocalDateTime createTime;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    @Column(value = "update_time", onUpdateValue = "now()", onInsertValue = "now()")
    private LocalDateTime updateTime;
}
