package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.RequiredArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 系统 - 配置表 实体类。
 *
 * @author admin
 * @since 1.0
 */
@Accessors(chain = true)
@RequiredArgsConstructor
@Data
@Schema(name = "系统 - 配置表")
@Table(value = "sys_config")
public class SysConfig {

    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;

    /**
     * 类型 1 系统配置 2 业务配置
     */
    @Schema(description = "类型 1 系统配置 2 业务配置")
    @Column(value = "type")
    private Integer type;

    /**
     * 配置项
     */
    @Schema(description = "配置项")
    @Column(value = "code")
    private String code;

    /**
     * 配置值
     */
    @Schema(description = "配置值")
    @Column(value = "value")
    private String value;

    /**
     * 备注
     */
    @Schema(description = "备注")
    @Column(value = "memo")
    private String memo;

    /**
     * 创建者
     */
    @Schema(description = "创建者")
    @Column(value = "create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time", onInsertValue = "now()")
    private java.time.LocalDateTime createTime;

    /**
     * 更新者
     */
    @Schema(description = "更新者")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 更新时间
     */
    @Schema(description = "更新时间")
    @Column(value = "update_time", onUpdateValue = "now()", onInsertValue = "now()")
    private java.time.LocalDateTime updateTime;


}
