package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 操作日志表 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "操作日志表")
@Table(value = "sys_operation_log")
public class SysOperationLog {

    /**
     * 主键
     */
    @Schema(description = "主键")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;


    /**
     * 业务ID
     */
    @Schema(description = "业务ID")
    @Column(value = "biz_id")
    private String bizId;

    /**
     * 业务类型
     */
    @Schema(description = "业务类型")
    @Column(value = "biz_type")
    private String bizType;

    /**
     * 标签
     */
    @Schema(description = "标签")
    @Column(value = "tag")
    private String tag;

    /**
     * 操作执行时间
     */
    @Schema(description = "操作执行时间")
    @Column(value = "operation_date")
    private Date operationDate;

    /**
     * 操作内容
     */
    @Schema(description = "操作内容")
    @Column(value = "msg")
    private String msg;

    /**
     * 附加信息
     */
    @Schema(description = "附加信息")
    @Column(value = "extra")
    private String extra;

    /**
     * 操作结果状态
     */
    @Schema(description = "操作结果状态")
    @Column(value = "operation_status")
    private Integer operationStatus;

    /**
     * 操作耗时
     */
    @Schema(description = "操作耗时")
    @Column(value = "operation_time")
    private Integer operationTime;

    /**
     * 方法返回内容
     */
    @Schema(description = "方法返回内容")
    @Column(value = "content_return")
    private String contentReturn;

    /**
     * 方法异常内容
     */
    @Schema(description = "方法异常内容")
    @Column(value = "content_exception")
    private String contentException;

    /**
     * 操作人ID
     */
    @Schema(description = "操作人ID")
    @Column(value = "operator_id")
    private String operatorId;

    /**
     * 操作人姓名
     */
    @Schema(description = "操作人姓名")
    @Column(value = "operator_name")
    private String operatorName;


    /**
     * 创建者
     */
    @Schema(description = "创建者")
    @Column(value = "create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time", onInsertValue = "now()")
    private java.time.LocalDateTime createTime;

    /**
     * 更新者
     */
    @Schema(description = "更新者")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 更新时间
     */
    @Schema(description = "更新时间")
    @Column(value = "update_time", onUpdateValue = "now()", onInsertValue = "now()")
    private java.time.LocalDateTime updateTime;
}
