package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.RequiredArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 系统 - 菜单与权限 实体类。
 *
 * @author admin
 * @since 1.0
 */
@Accessors(chain = true)
@RequiredArgsConstructor
@Data
@Schema(name = "系统 - 菜单与权限")
@Table(value = "sys_permission")
public class SysPermission {

    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;

    /**
     * 父ID
     */
    @Schema(description = "父ID")
    @Column(value = "parent_id")
    private String parentId;

    /**
     * 路由地址
     */
    @Schema(description = "路由地址")
    @Column(value = "path")
    private String path;

    /**
     * 路由名字
     */
    @Schema(description = "路由名字")
    @Column(value = "name")
    private String name;

    /**
     * 菜单名称
     */
    @Schema(description = "菜单名称")
    @Column(value = "title")
    private String title;

    /**
     * 菜单icon
     */
    @Schema(description = "菜单icon")
    @Column(value = "icon")
    private String icon;

    /**
     * 是否显示
     */
    @Schema(description = "是否显示")
    @Column(value = "show_link")
    private Integer showLink;

    /**
     * 排序
     */
    @Schema(description = "排序")
    @Column(value = "rank")
    private Integer rank;

    /**
     * 组件
     */
    @Schema(description = "组件")
    @Column(value = "component")
    private String component;

    /**
     * 是否显示父菜单
     */
    @Schema(description = "是否显示父菜单")
    @Column(value = "show_parent")
    private Integer showParent;

    /**
     * 是否缓存该路由页面
     */
    @Schema(description = "是否缓存该路由页面")
    @Column(value = "keep_alive")
    private Integer keepAlive;

    /**
     * 是否iframe
     */
    @Schema(description = "是否iframe")
    @Column(value = "is_frame")
    private Integer isFrame;

    /**
     * 类型
     */
    @Schema(description = "类型")
    @Column(value = "menu_type")
    private Integer menuType;

    /**
     * 菜单权限编码
     */
    @Schema(description = "菜单权限编码")
    @Column(value = "perms")
    private String perms;

    /**
     * 是否启用
     */
    @Schema(description = "是否启用")
    @Column(value = "enable")
    private Integer enable;

    /**
     * 创建者
     */
    @Schema(description = "创建者")
    @Column(value = "create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time", onInsertValue = "now()")
    private java.time.LocalDateTime createTime;

    /**
     * 更新者
     */
    @Schema(description = "更新者")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 更新时间
     */
    @Schema(description = "更新时间")
    @Column(value = "update_time", onUpdateValue = "now()", onInsertValue = "now()")
    private java.time.LocalDateTime updateTime;


}
