package pay.platform.mapper;

import com.mybatisflex.core.BaseMapper;
import com.mybatisflex.core.query.QueryWrapper;
import pay.platform.domain.SysRole;
import jakarta.annotation.Nullable;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * 系统 - 角色信息 映射层。
 *
 * @author admin
 * @since 1.0
 */
@Mapper
public interface SysRoleMapper extends BaseMapper<SysRole> {

    /**
     * 获取全部角色code
     *
     * @return .
     */
    @Nullable
    default Set<String> allRoleCode() {
        QueryWrapper query = new QueryWrapper();
        query.eq(SysRole::getEnable, 1);
        List<SysRole> list = selectListByQuery(query);
        return list.stream().map(SysRole::getRoleCode).collect(Collectors.toSet());
    }
}
