package pay.platform.api.system.log;

import cn.monitor4all.logRecord.bean.LogDTO;
import cn.monitor4all.logRecord.service.IOperationLogGetService;
import com.alibaba.fastjson2.JSON;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import pay.platform.api.system.servcie.SysOperationLogService;
import pay.platform.domain.SysOperationLog;

/**
 *
 **/
@Component
@Slf4j
public class CustomOperationLogGetService implements IOperationLogGetService {

    @Autowired
    private SysOperationLogService sysOperationLogService;

    @Override
    public boolean createLog(LogDTO logDTO) {
        log.info("logDTO: [{}]", JSON.toJSONString(logDTO));
        var sysOperationLog = SysOperationLog.builder()
                .bizType(logDTO.getBizType())
                .bizId(logDTO.getBizId())
                .msg(logDTO.getMsg())
                .operationStatus(logDTO.getSuccess() ? 1 : 0)
                .operationTime(logDTO.getExecutionTime().intValue())
                .operationDate(logDTO.getOperateDate())
                .msg(logDTO.getMsg())
                .tag(logDTO.getTag()).extra(logDTO.getExtra())
                .contentReturn(logDTO.getReturnStr())
                .contentException(logDTO.getException())
                .operatorId(logDTO.getOperatorId()).build();
        sysOperationLogService.saveLog(sysOperationLog);
        return true;
    }
}
