package pay.platform.api.system.model.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 用户信息
 */
@Data
@EqualsAndHashCode
@ToString
public class UserVO implements Serializable {
    /**
     * ID
     */
    @Schema(description = "id")
    protected String id;

    /**
     * 创建人
     */
    @Schema(description = "创建人")
    protected String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    protected LocalDateTime createTime;

    /**
     * 更新人
     */
    @Schema(description = "更新人")
    protected String updateUser;

    /**
     * 更新时间
     */
    @Schema(description = "更新时间")
    protected LocalDateTime updateTime;
    /**
     * 用户名
     */
    @Schema(description = "用户帐号")
    @NotBlank(message = "用户帐号不能为空")
    private String username;
    /**
     * 用户密码
     */
    @Schema(description = "用户密码")
    private String password;
    /**
     * 用户昵称
     */
    @Schema(description = "用户昵称")
    private String nickname;
    /**
     * 是否启用
     */
    @Schema(description = "是否启用")
    private Integer enable;

    /**
     * 是否启用
     *
     * @return .
     */
    @Schema(description = "是否启用")
    public boolean isEnabled() {
        if (null == enable) {
            return false;
        }
        return enable == 1;
    }

    /**
     * 是否网点管理员
     */
    @Schema(description = "是否网点管理员")
    private Integer isManage;

    /**
     * 角色id集合
     */
    @Schema(description = "角色id集合")
    private List<String> roleIds;
}
