package pay.platform.api.system.controller;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springdoc.core.annotations.ParameterObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import pay.platform.api.system.model.query.PayChannelQuery;
import pay.platform.api.system.model.vo.PayChannelVO;
import pay.platform.api.system.servcie.PayChannelService;
import pay.platform.core.common.Result;

import java.util.List;

/**
 * 通道 控制层。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@RestController
@RequestMapping("/agent/pay/channel")
@Tag(name = "通道控制层")
public class PayChannelController {

    @Autowired
    private PayChannelService PayChannelService;

    /**
     * 查询通道列表
     *
     * @param query 分页对象
     * @return Result.OK(分页对象
     */
    @GetMapping("/list")
    @Operation(summary = "查询通道列表")
    public Result<List<PayChannelVO>> queryList(@ParameterObject PayChannelQuery query) {
        return Result.OK(PayChannelService.queryList(query));
    }
}