package pay.platform.api.system.controller;

import com.mybatisflex.core.paginate.Page;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.Parameters;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import pay.platform.api.system.servcie.PayDailyTotalService;
import pay.platform.domain.PayDailyTotal;

import java.io.Serializable;
import java.util.List;

/**
 * 支付订单日流水 控制层。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@RestController
@RequestMapping("/PayDailyTotal")
@Tag(name = "支付订单日流水控制层")
public class PayDailyTotalController {

    @Autowired
    private PayDailyTotalService PayDailyTotalService;

    /**
     * 添加 支付订单日流水
     *
     * @param PayDailyTotal 支付订单日流水
     * @return {@code true} 添加成功，{@code false} 添加失败
     */
    @PostMapping("/save")
    @Operation(summary = "添加支付订单日流水")
    @Parameters(value = {
            @Parameter(name = "id", description = "id"),

            @Parameter(name = "orderNo", description = "订单号"),

            @Parameter(name = "platformOrderNo", description = "平台订单号"),

            @Parameter(name = "agentId", description = "代理用户ID"),

            @Parameter(name = "merchantId", description = "商户用户ID"),

            @Parameter(name = "amount", description = "金额"),

            @Parameter(name = "fee", description = "手续费"),

            @Parameter(name = "rate", description = "费率"),

            @Parameter(name = "subject", description = ""),

            @Parameter(name = "remark", description = ""),

            @Parameter(name = "notifyUrl", description = "回调地址"),

            @Parameter(name = "thirdOrderNo", description = "第三方支付平台id"),

            @Parameter(name = "callbackInfo", description = "回调信息"),

            @Parameter(name = "status", description = "-1：支付失败 0：待支付 1：支付成功 2：退款"),

            @Parameter(name = "notifyCount", description = "回调次数最多三次"),

            @Parameter(name = "notifyStatus", description = "回调返回状态，1成功"),

            @Parameter(name = "createUser", description = "创建人"),

            @Parameter(name = "createTime", description = "创建时间"),

            @Parameter(name = "updateUser", description = "修改人"),

            @Parameter(name = "updateTime", description = "修改时间")
    })

    public boolean save(@RequestBody PayDailyTotal PayDailyTotal) {
        return PayDailyTotalService.save(PayDailyTotal);
    }


    /**
     * 根据主键删除支付订单日流水
     *
     * @param id 主键
     * @return {@code true} 删除成功，{@code false} 删除失败
     */
    @DeleteMapping("/remove/{id}")
    @Operation(summary = "根据主键删除支付订单日流水")
    @Parameters(value = {
            @Parameter(name = "id", description = "id", required = true)
    })
    public boolean remove(@PathVariable Serializable id) {
        return PayDailyTotalService.removeById(id);
    }


    /**
     * 根据主键更新支付订单日流水
     *
     * @param PayDailyTotal 支付订单日流水
     * @return {@code true} 更新成功，{@code false} 更新失败
     */
    @PutMapping("/update")
    @Operation(summary = "根据主键更新支付订单日流水")
    @Parameters(value = {
            @Parameter(name = "id", description = "id", required = true),

            @Parameter(name = "orderNo", description = "订单号"),

            @Parameter(name = "platformOrderNo", description = "平台订单号"),

            @Parameter(name = "agentId", description = "代理用户ID"),

            @Parameter(name = "merchantId", description = "商户用户ID"),

            @Parameter(name = "amount", description = "金额"),

            @Parameter(name = "fee", description = "手续费"),

            @Parameter(name = "rate", description = "费率"),

            @Parameter(name = "subject", description = ""),

            @Parameter(name = "remark", description = ""),

            @Parameter(name = "notifyUrl", description = "回调地址"),

            @Parameter(name = "thirdOrderNo", description = "第三方支付平台id"),

            @Parameter(name = "callbackInfo", description = "回调信息"),

            @Parameter(name = "status", description = "-1：支付失败 0：待支付 1：支付成功 2：退款"),

            @Parameter(name = "notifyCount", description = "回调次数最多三次"),

            @Parameter(name = "notifyStatus", description = "回调返回状态，1成功"),

            @Parameter(name = "createUser", description = "创建人"),

            @Parameter(name = "createTime", description = "创建时间"),

            @Parameter(name = "updateUser", description = "修改人"),

            @Parameter(name = "updateTime", description = "修改时间")
    })
    public boolean update(@RequestBody PayDailyTotal PayDailyTotal) {
        return PayDailyTotalService.updateById(PayDailyTotal);
    }


    /**
     * 查询所有支付订单日流水
     *
     * @return 所有数据
     */
    @GetMapping("/list")
    @Operation(summary = "查询所有支付订单日流水")
    public List<PayDailyTotal> list() {
        return PayDailyTotalService.list();
    }


    /**
     * 根据支付订单日流水主键获取详细信息。
     *
     * @param id PayDailyTotal主键
     * @return 支付订单日流水详情
     */
    @GetMapping("/getInfo/{id}")
    @Operation(summary = "根据支付订单日流水主键获取详细信息")
    @Parameters(value = {
            @Parameter(name = "id", description = "id", required = true)
    })
    public PayDailyTotal getInfo(@PathVariable Serializable id) {
        return PayDailyTotalService.getById(id);
    }


    /**
     * 分页查询支付订单日流水
     *
     * @param page 分页对象
     * @return 分页对象
     */
    @GetMapping("/page")
    @Operation(summary = "分页查询支付订单日流水")
    @Parameters(value = {
            @Parameter(name = "pageNumber", description = "页码", required = true),
            @Parameter(name = "pageSize", description = "每页大小", required = true)
    })
    public Page<PayDailyTotal> page(Page<PayDailyTotal> page) {
        return PayDailyTotalService.page(page);
    }
}