package pay.platform.api.system.model.request;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 支付请求
 */
@Data
public class PayRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;
    @NotBlank(message = "订单号不能为空")

    private String orderNo;
    @NotBlank(message = "金额不能为空")
    private BigDecimal amount;
    // 商品名称
    String subject;
    // 商品描述
    String body;
    // 金额
    @NotBlank(message = "appId不能为空")
    String appId;
    @NotBlank(message = "回调地址不能为空")
    String notifyUrl;
    Long currentTime;
    String sign;
    String channelId;
}
