package pay.platform.api.system.servcie.impl;


import cn.hutool.core.bean.BeanUtil;
import com.mybatisflex.core.query.QueryWrapper;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;
import pay.platform.api.system.model.query.PayChannelQuery;
import pay.platform.api.system.model.vo.PayChannelVO;
import pay.platform.api.system.servcie.PayChannelService;
import pay.platform.api.system.servcie.PayMerchantService;
import pay.platform.core.common.domain.BaseService;
import pay.platform.core.security.util.SecurityUtil;
import pay.platform.domain.PayChannel;
import pay.platform.domain.table.PayChannelTableDef;
import pay.platform.mapper.PayChannelMapper;

import java.util.List;

/**
 * 通道管理 服务层实现。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Service
public class PayChannelServiceImpl extends BaseService<PayChannelMapper, PayChannel> implements PayChannelService {
    @Resource
    private PayMerchantService payMerchantService;
    @Override
    public List<PayChannelVO> queryList(PayChannelQuery query) {
        var payMerchant = payMerchantService.getById(SecurityUtil.getCurrentUser().getUserid());
        QueryWrapper queryWrapper = QueryWrapper.create().from(PayChannelTableDef.PAY_CHANNEL).where("1 = 1")
                .and(PayChannelTableDef.PAY_CHANNEL.AGENT_ID.eq(payMerchant.getAgentId(), true))
                .and(PayChannelTableDef.PAY_CHANNEL.STATUS.eq(1, true));
        var payChannels = mapper.selectListByQuery(queryWrapper);
        List<PayChannelVO> vos = BeanUtil.copyToList(payChannels, PayChannelVO.class);
        return vos;
    }

}