package pay.platform.api.servcie;


import com.mybatisflex.core.service.IService;
import pay.platform.api.model.request.OrderRequest;
import pay.platform.api.model.response.OrderResponse;
import pay.platform.domain.PayMerchantAppKey;
import pay.platform.domain.PayOrder;

/**
 * 通道管理 服务层。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
public interface PayOrderService extends IService<PayOrder> {

    /**
     * 订单查询
     *
     * @param orderRequest
     * @return
     */
    OrderResponse queryOrderByPlatformOrder(OrderRequest orderRequest);

    /**
     * 查询订单号是否存在
     *
     * @param merchantId
     * @param orderNo
     */
    PayOrder queryOrderByPlatformOrder(String merchantId, String orderNo);

    PayOrder queryByOrderNo(String merchantId, String orderNo);

    /**
     * 回调商户
     *
     * @param payOrder
     * @param payMerchantAppKey
     */
    void notifyMerchant(PayOrder payOrder, PayMerchantAppKey payMerchantAppKey);
}