package pay.platform.api.servcie.impl;


import com.mybatisflex.core.query.QueryWrapper;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;
import pay.platform.api.servcie.PayChannelService;
import pay.platform.core.common.domain.BaseService;
import pay.platform.domain.PayChannel;
import pay.platform.domain.table.PayChannelTableDef;
import pay.platform.mapper.PayChannelMapper;

import java.util.List;

/**
 * 通道管理 服务层实现。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Service
public class PayChannelServiceImpl extends BaseService<PayChannelMapper, PayChannel> implements PayChannelService {

    @Override
    public List<PayChannel> findChannel(String agentId) {
        QueryWrapper queryWrapper = QueryWrapper.create().from(PayChannelTableDef.PAY_CHANNEL).where(PayChannelTableDef.PAY_CHANNEL.AGENT_ID.eq(agentId))
                .and(PayChannelTableDef.PAY_CHANNEL.STATUS.eq(1));
        List<PayChannel> payChannels = mapper.selectListByQuery(queryWrapper);
        return payChannels;
    }

    @Override
    @Async
    public void updateInfo(PayChannel payChannel) {
        updateById(payChannel);
    }
}